Subject: Re: [pim] PIM WG recharter

From: Mike McBride <[email-masked]>
Date: Tue, 31 Mar 2015 19:53:17 +0000

Hello good pimers,

Great seeing many of you in Dallas. Thank you for your feedback on the rechartering effort. Based upon your comments during the meeting, and on the list, here is a new rev for your consideration. All feedback welcome, encouraged and needed. Please note the same acronym, but new wg name, thanks to your creative minds.

mike

The Protocols for IP Multicast (PIM) working group, is chartered to work on multiple IP multicast protocols.  The Working Group is responsible for the maintenance of PIM, IGMP, and MLD.

The Working Group will work on the following specific items:

1) Management for PIM:  YANG models for PIM, IGMP, and MLD will be developed.  If updates to existing MIB modules are necessary, the WG may work on those.

2) Improve PIM authentication: The WG may work on improvements to PIM authentication.

3) Improve and Extend PIM Join Attributes to support different types of multicast applications.

4) Optimization approaches for IGMP and MLD to adapt to link conditions in wireless and mobile networks and be more robust to packet loss.

5) Explore alternatives to IP Multicast routing protocols. The WG should discuss and develop new ideas related to multicast protocols and distribution of multicast related information.

Additional work items may be added with a recharter.

The WG is expected to use its extensive multicast knowledge to actively review and participate in WG Last Calls with multicast work that occurs in other WGs, such as MPLS, BESS, ROLL, and BIER. The WG should investigate any extensions needed to support other work and, if additional work is required, the WG may be rechartered to accomplish the specific extensions.

From: pim [mailto:[email-masked]] On Behalf Of Mike McBride
Sent: Monday, February 02, 2015 4:07 PM
To: [email-masked]
Subject: Re: [pim] PIM WG recharter

Thank you for the input on the recharter text. Very helpful. Below is the latest revision and the newest text is in red and encapsulated in *s. Hopefully this clearly addresses concerns about potential land grabbing (again, good bier folks, we like you, but don't want you, we hope you find a nice new home) and yet allows mcast wg to be the catch all for the mcast protocol homeless. If you don't like certain wording please propose better text. We are hoping to have consensus by end of this week.

thanks,
mike

Charter for Working Group

The standardization of PIM was completed with RFC 4601 within the PIM WG. The MCAST WG has determined there is additional work to be accomplished and is chartered to standardize extensions to RFC 4601 - Protocol Independent Multicast Version 2 - Sparse Mode, along with extensions to PIM-SSM and PIM-BIDIR. These multicast extensions will involve reliability, resiliency, scalability, management, mobility and security. The MCAST WG will continue to work on developing the IGMP/MLD protocols as *required* to achieve the robustness needed, particularly in mobile environments.

As other WGs determine that support for multicast in their domains requires multicast specific extensions to PIM, IGMP/MLD, IGPs, or other yet to be invented multicast specific protocols, then such extensions *and protocols* should be developed within the MCAST WG *if they don't have a more relevant WG home*. Additional work on existing PIM-BIDIR, BSR and SSM drafts may also be necessary by the WG as these drafts progress through Standards Track.

*The MCAST WG will be responsible for protocol development for both multicast overlays and underlays unless otherwise specified in another working group. When multicast related specifications occur outside the MCAST WG, the MCAST WG will provide advice as requested.*

The working group has produced MIB modules for PIM in RFC 5060 and RFC 5240. The MCAST WG will work on proposals that update or extend the existing MIB modules and will develop YANG modules for multicast protocols.

The MCAST WG will further enhance RFC4601 as an even more scalable, efficient and robust multicast routing protocol, which is capable of supporting thousands of groups, different types of multicast applications, and all major underlying layer-2 subnetwork technologies. We will accomplish these enhancements by submitting drafts, to the IESG, involving reliable multicast, pim join attributes and authentication.

There is a significant number of errata that need to be addressed in order to advance RFC4601 to Internet Standard. The MCAST WG will correct the errata and update RFC4601.

The working group will initiate a new re-chartering effort if it is determined that a Version 3 of PIM is required.

-----Original Message-----
From: pim [mailto:[email-masked]] On Behalf Of Mike McBride
Sent: Thursday, January 22, 2015 11:31 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [pim] PIM WG recharter

Hello all,

Stig and I hope you had a wonderful start to your new year.

We hope to have a wonderful start for pim in 2015 as well. We've discussed rechartering for the past year and Stig and I have made a first pass below. Thanks to Bill Atwood and Lucy Yong in providing edits to this draft. Please review and comment on this proposed new charter and wg renaming. Through the MCAST WG (Protocols) and the MBONED WG (Operations) we should be able to more effectively standardize multicast technologies.

Thanks,
mike

New:

Charter for Working Group

The standardization of PIM was completed with RFC 4601 within the PIM WG. The MCAST WG has determined there is additional work to be accomplished and is chartered to standardize extensions to RFC 4601 - Protocol Independent Multicast Version 2 - Sparse Mode, along with extensions to PIM-SSM and PIM-BIDIR. These multicast extensions will involve reliability, resiliency, scalability, management, mobility and security. The MCAST WG will continue to work on developing the IGMP/MLD protocols as needed to achieve the robustness needed, particularly in mobile environments.

As other WGs determine that support for multicast in their domains requires multicast specific extensions to PIM, IGMP/MLD, IGPs, or other yet to be invented multicast specific protocols, then such extensions should be developed within the MCAST WG. Additional work on existing PIM-BIDIR, BSR and SSM drafts may also be necessary by the WG as these drafts progress through Standards Track.

The working group has produced MIB modules for PIM in RFC 5060 and RFC 5240. The MCAST WG will work on proposals that update or extend the existing MIB modules and will develop YANG modules for multicast protocols.

The MCAST WG will further enhance RFC4601 as an even more scalable, efficient and robust multicast routing protocol, which is capable of supporting thousands of groups, different types of multicast applications, and all major underlying layer-2 subnetwork technologies. We will accomplish these enhancements by submitting drafts, to the IESG, involving reliable multicast, pim join attributes and authentication.

There is a significant number of errata that need to be addressed in order to advance RFC4601 to Internet Standard. The MCAST WG will correct the errata and update RFC4601.

The working group will initiate a new re-chartering effort if it is determined that a Version 3 of PIM is required.

Current:

Charter for Working Group

The Protocol Independent Multicast (PIM) Working Group has completed the standardization of PIM with RFC 4601. The WG has determined there is additional work to be accomplished and is chartered to standardize extensions to RFC 4601 - Protocol Independent Multicast Version 2 - Sparse Mode. These PIM extensions will involve reliability, resiliency, scalability, management, and security.

If L2VPN or L3VPN WGs determine that support for multicast in L2VPNs and/or L3VPNs requires extensions to PIM, then such extensions will be developed within the PIM WG.

Additional work on the PIM-BIDIR and BSR drafts may also be necessary by the WG as these drafts progress through Standards Track.

The working group has produced MIB modules for PIM in RFC 5060 and RFC 5240. The working group currently has no plans to do further work on management for PIM. If proposals are brought forward to update or extend the existing MIB modules or to develop YANG modules, the working group will be rechartered.

The PIM WG will further enhance RFC4601 as an even more scalable, efficient and robust multicast routing protocol, which is capable of supporting thousands of groups, different types of multicast applications, and all major underlying layer-2 subnetwork technologies.
We will accomplish these enhancements by submitting drafts, to the IESG, involving reliable pim, pim join attributes and pim authentication.

The working group primarily works on extensions to PIM, but may take on work related to IGMP/MLD.

There is a significant number of errata that need to be addressed in order to advance RFC4601 to Draft Standard. The PIM WG will correct the errata, as necessary, and update RFC4601.

The working group will initiate a new re-chartering effort if it is determined that a Version 3 of PIM is required.

_______________________________________________
pim mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pim

---

From: Caitlin Bestler <[email-masked]>
Date: Tue, 31 Mar 2015 13:16:10 -0700

I think this strikes a healthy balance between providing a home for new 
multicast ideas
and not just throwing the doors open to talk about anything involving 
multicast.

On 3/31/15 12:53 PM, Mike McBride wrote:
>
> Hello good pimers,
>
> Great seeing many of you in Dallas. Thank you for your feedback on the 
> rechartering effort. Based upon your comments during the meeting, and 
> on the list, here is a new rev for your consideration. All feedback 
> welcome, encouraged and needed. Please note the same acronym, but new 
> wg name, thanks to your creative minds.
>
> mike
>
> The Protocols for IP Multicast (PIM) working group, is chartered to 
> work on multiple IP multicast protocols.  The Working Group is 
> responsible for the maintenance of PIM, IGMP, and MLD.
>
> 1) Management for PIM:  YANG models for PIM, IGMP, and MLD will be 
> developed.  If updates to existing MIB modules are necessary, the WG 
> may work on those.
>
> 4) Optimization approaches for IGMP and MLD to adapt to link 
> conditions in wireless and mobile networks and be more robust to 
> packet loss.
>
> 5) Explore alternatives to IP Multicast routing protocols. The WG 
> should discuss and develop new ideas related to multicast protocols 
> and distribution of multicast related information.
>
> The WG is expected to use its extensive multicast knowledge to 
> actively review and participate in WG Last Calls with multicast work 
> that occurs in other WGs, such as MPLS, BESS, ROLL, and BIER. The WG 
> should investigate any extensions needed to support other work and, if 
> additional work is required, the WG may be rechartered to accomplish 
> the specific extensions.
>
>